<?php
class AppDatabase extends Zend_Db_Table{
	
	public $adaptador;
	
	
	public function __construct($config = array(), $definition = null , $adaptador = null, $primary = null){
		$this->_primary = $primary;
		$this->adaptador = $adaptador;
		parent::__construct($config, $definition);
	}
	
	public function getMetadata(){
		return $this->_metadata;
	}
	
	protected function _setupDatabaseAdapter() {
	
	
	
		if (isset($this->adaptador) && $this->adaptador){
			
			$this->_db = Zend_Registry::get($this->adaptador); //esto indica el nombre que se le puso a la cone
			
		}
		parent::_setupDatabaseAdapter();
	}
	
	
	
}